[Документация Yandex Cloud](../../../../index.md) > [Yandex Serverless Integrations](../../../index.md) > Справочник API Workflows > [REST (англ.)](../index.md) > [Execution](index.md) > Get

# Workflows Service, REST: Execution.Get

Retrieves specified Workflow execution.

## HTTP request

```
GET https://serverless-workflows.api.yandexcloud.kz/workflows/v1/execution/{executionId}
```

## Path parameters

#|
||Field | Description ||
|| executionId | **string**

Required field. ID of the Workflow execution. ||
|#

## Response {#yandex.cloud.serverless.workflows.v1.GetExecutionResponse}

**HTTP Code: 200 - OK**

```json
{
  "execution": {
    "id": "string",
    "workflowId": "string",
    "input": {
      // Includes only one of the fields `inputJson`, `inputValue`
      "inputJson": "string",
      "inputValue": {
        // Includes only one of the fields `nullValue`, `numberValue`, `stringValue`, `boolValue`, `structValue`, `listValue`
        "nullValue": "string",
        "numberValue": "string",
        "stringValue": "string",
        "boolValue": "boolean",
        "structValue": "object",
        "listValue": {
          "values": [
            "object"
          ]
        }
        // end of the list of possible fields
      }
      // end of the list of possible fields
    },
    "result": {
      // Includes only one of the fields `resultJson`
      "resultJson": "string"
      // end of the list of possible fields
    },
    "error": {
      "message": "string",
      "errorCode": "string"
    },
    "status": "string",
    "startedAt": "string",
    "duration": "string"
  }
}
```

#|
||Field | Description ||
|| execution | **[Execution](#yandex.cloud.serverless.workflows.v1.Execution)**

Required field. Workflow execution details. ||
|#

## Execution {#yandex.cloud.serverless.workflows.v1.Execution}

#|
||Field | Description ||
|| id | **string**

Required field. ID of the Workflow execution. Generated at creation time. ||
|| workflowId | **string**

Required field. ID of the Workflow. ||
|| input | **[ExecutionInput](#yandex.cloud.serverless.workflows.v1.ExecutionInput)**

Input data for the Workflow execution. ||
|| result | **[ExecutionResult](#yandex.cloud.serverless.workflows.v1.ExecutionResult)**

Result of the Workflow execution. ||
|| error | **[ExecutionError](#yandex.cloud.serverless.workflows.v1.ExecutionError)**

Error details, in case Workflow execution failed. ||
|| status | **enum** (Status)

Required field. Status of the Workflow execution

- `QUEUED`: Workflow execution is being queued.
- `RUNNING`: Workflow execution is running.
- `PAUSED`: Workflow execution is being paused.
- `STOPPED`: Workflow execution is stopped.
- `FAILED`: Workflow execution is failed.
- `FINISHED`: Workflow execution is finished. ||
|| startedAt | **string** (date-time)

Required field. Start timestamp for the Workflow execution.

String in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format. The range of possible values is from
`0001-01-01T00:00:00Z` to `9999-12-31T23:59:59.999999999Z`, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
[Protocol Buffers reference](https://developers.google.com/protocol-buffers/docs/reference/overview).
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits). ||
|| duration | **string** (duration)

Duration of the Workflow execution. ||
|#

## ExecutionInput {#yandex.cloud.serverless.workflows.v1.ExecutionInput}

#|
||Field | Description ||
|| inputJson | **string**

JSON input data for the Workflow execution.

Includes only one of the fields `inputJson`, `inputValue`. ||
|| inputValue | **[Value](#google.protobuf.Value)**

Input value for the Workflow execution.

Includes only one of the fields `inputJson`, `inputValue`. ||
|#

## Value {#google.protobuf.Value}

#|
||Field | Description ||
|| nullValue | **enum** (NullValue)

Includes only one of the fields `nullValue`, `numberValue`, `stringValue`, `boolValue`, `structValue`, `listValue`.

 ||
|| numberValue | **string**

Includes only one of the fields `nullValue`, `numberValue`, `stringValue`, `boolValue`, `structValue`, `listValue`. ||
|| stringValue | **string**

Includes only one of the fields `nullValue`, `numberValue`, `stringValue`, `boolValue`, `structValue`, `listValue`. ||
|| boolValue | **boolean**

Includes only one of the fields `nullValue`, `numberValue`, `stringValue`, `boolValue`, `structValue`, `listValue`. ||
|| structValue | **object**

Includes only one of the fields `nullValue`, `numberValue`, `stringValue`, `boolValue`, `structValue`, `listValue`. ||
|| listValue | **[ListValue](#google.protobuf.ListValue)**

Includes only one of the fields `nullValue`, `numberValue`, `stringValue`, `boolValue`, `structValue`, `listValue`. ||
|#

## ListValue {#google.protobuf.ListValue}

#|
||Field | Description ||
|| values[] | **[Value](#google.protobuf.Value)** ||
|#

## ExecutionResult {#yandex.cloud.serverless.workflows.v1.ExecutionResult}

#|
||Field | Description ||
|| resultJson | **string**

JSON result of the Workflow execution.

Includes only one of the fields `resultJson`. ||
|#

## ExecutionError {#yandex.cloud.serverless.workflows.v1.ExecutionError}

#|
||Field | Description ||
|| message | **string**

Error message of the Workflow execution. ||
|| errorCode | **string**

Error code of the Workflow execution. ||
|#